unit LectureTPAoptions;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TLectureTPAoptionsForm = class(TForm)
    xminImageTPA: TSpinEdit;
    Label1: TLabel;
    XmaxImageTPA: TSpinEdit;
    Label2: TLabel;
    YminImageTPA: TSpinEdit;
    Label3: TLabel;
    YmaxImageTPA: TSpinEdit;
    Label4: TLabel;
    Label5: TLabel;
    SamplingImageTPA: TSpinEdit;
    Label6: TLabel;
    ImageSize: TSpinEdit;
    procedure FormCreate(Sender: TObject);
    procedure ImageSizeKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LectureTPAoptionsForm: TLectureTPAoptionsForm;

implementation

{$R *.dfm}

procedure TLectureTPAoptionsForm.FormCreate(Sender: TObject);
begin
   top:=245;left:=213;width:=147;height:=182;
   WindowState:=wsMinimized;
   update;
end;

procedure TLectureTPAoptionsForm.ImageSizeKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
 if key=13 then begin XmaxImageTPA.value:=ImageSize.value;YmaxImageTPA.value:=ImageSize.value end; 
end;

end.
